Zum Inhalt springen
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Get an attachment

One attachment’s metadata and a signed download link valid for one hour. Needs a full access key.

GET/emails/receiving/{email_id}/attachments/{id}
Autorisierung
AuthorizationBearer-Token · headererforderlich

A BillionSend API key (bs_…).

Pfadparameter
email_idstring<uuid>erforderlich
idstring<uuid>erforderlich
Antworten
200

Attachment

idstring<uuid>erforderlich
filenamestring
sizeintegererforderlich
content_typestringerforderlich
content_dispositionstringerforderlich
Erlaubt:inlineattachment
content_idstring
download_urlstringerforderlich

Signed link to the file's bytes, valid for one hour; it needs no API key

expires_atstringerforderlich
objectstringerforderlich
Erlaubt:attachment
401

Missing, malformed, unknown or revoked API key

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
403

Restricted API key

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
404

Not found

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumbererforderlich
namestringerforderlich
messagestringerforderlich
Ausprobieren
Server
Autorisierung
Parameter
Anfrage
curl -X GET 'https://api.billionsend.com/emails/receiving/497f6eca-6276-4993-bfeb-53cbbbba6f08/attachments/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Antwort
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "filename": "string",
  "size": 0,
  "content_type": "string",
  "content_disposition": "inline",
  "content_id": "string",
  "download_url": "string",
  "expires_at": "string",
  "object": "attachment"
}

War diese Seite hilfreich?